core.libraries.yml 20.2 KB
Newer Older
1 2 3 4
# All libraries are defined in alphabetical order.

backbone:
  remote: https://github.com/jashkenas/backbone
5
  version: 1.1.2
6 7
  license:
    name: MIT
8
    url: https://github.com/jashkenas/backbone/blob/1.1.2/LICENSE
9
    gpl-compatible: true
10
  js:
11
    assets/vendor/backbone/backbone-min.js: { weight: -19, minified: true }
12 13 14 15 16
  dependencies:
    - core/underscore

classList:
  remote: https://github.com/eligrey/classList.js
17
  version: 2014-12-13
18 19
  license:
    name: Public Domain
20
    url: https://github.com/eligrey/classList.js/blob/2014-12-13/LICENSE.md
21
    gpl-compatible: true
22
  js:
23
    assets/vendor/classList/classList.min.js: { weight: -21, browsers: { IE: 'lte IE 9', '!IE': false }, minified: true }
24 25 26

ckeditor:
  remote: https://github.com/ckeditor/ckeditor-dev
27
  version: 4.4.7
28 29
  license:
    name: GNU-GPL-2.0-or-later
30
    url: https://github.com/ckeditor/ckeditor-dev/blob/4.4.7/LICENSE.md
31
    gpl-compatible: true
32
  js:
33
    assets/vendor/ckeditor/ckeditor.js: { preprocess: false, minified: true }
34 35 36

domready:
  remote: https://github.com/ded/domready
37
  version: 1.0.7
38 39
  license:
    name: MIT
40
    url: https://github.com/ded/domready/blob/v1.0.7/LICENSE
41
    gpl-compatible: true
42
  js:
43
    assets/vendor/domready/ready.min.js: { weight: -21, minified: true }
44 45 46 47

drupal:
  version: VERSION
  js:
48
    misc/drupal.js: { weight: -18 }
49 50
  dependencies:
    - core/domready
51
    - core/drupalSettings
52 53 54

drupalSettings:
  version: VERSION
55 56 57 58 59 60 61 62 63 64
  drupalSettings:
    # These placeholder values will be set by system_js_settings_alter().
    path:
      baseUrl: null
      scriptPath: null
      pathPrefix: null
      currentPath: null
      currentPathIsAdmin: null
      isFront: null
      currentLanguage: null
65
    pluralDelimiter: null
66 67 68 69 70 71 72 73 74 75 76 77 78 79

drupal.active-link:
  version: VERSION
  js:
    misc/active-link.js: {}
  dependencies:
    - core/drupal
    - core/drupalSettings
    - core/classList

drupal.ajax:
  version: VERSION
  js:
    misc/ajax.js: {}
80 81 82 83 84 85
  drupalSettings:
    # These placeholder values will be set by system_js_settings_alter().
    ajaxPageState:
      libraries: null
      theme: null
      theme_token: null
86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.progress
    - core/jquery.once

drupal.announce:
  version: VERSION
  js:
    misc/announce.js: {}
  dependencies:
    - core/drupal
    - core/drupal.debounce

drupal.autocomplete:
  version: VERSION
  js:
104
    misc/autocomplete.js: { weight: -1 }
105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/jquery.ui.autocomplete

drupal.batch:
  version: VERSION
  js:
    misc/batch.js: { cache: false }
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/drupal.progress
    - core/jquery.once

drupal.collapse:
  version: VERSION
  js:
    misc/collapse.js: {}
  dependencies:
    - core/jquery
    - core/modernizr
    - core/drupal
    - core/drupal.form
    - core/jquery.once

drupal.debounce:
  version: VERSION
  js:
    misc/debounce.js: {}
  dependencies:
    # @todo Remove Drupal dependency.
    - core/drupal

drupal.dialog:
  version: VERSION
  js:
146 147 148
    misc/dialog/dialog.js: {}
    misc/dialog/dialog.position.js: {}
    misc/dialog/dialog.jquery-ui.js: {}
149 150 151
  css:
    theme:
      misc/dialog.theme.css: {}
152 153 154 155 156 157 158 159 160 161 162
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.debounce
    - core/drupal.displace
    - core/jquery.ui.dialog

drupal.dialog.ajax:
  version: VERSION
  js:
163
    misc/dialog/dialog.ajax.js: {}
164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/drupal.ajax
    - core/drupal.dialog

drupal.displace:
  version: VERSION
  js:
    misc/displace.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupal.debounce

drupal.dropbutton:
  version: VERSION
  js:
    misc/dropbutton/dropbutton.js: {}
  css:
    component:
      misc/dropbutton/dropbutton.css: {}
    theme:
      misc/dropbutton/dropbutton.theme.css: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once

drupal.form:
  version: VERSION
  js:
    misc/form.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupal.debounce
    - core/jquery.cookie
    - core/jquery.once

drupal.machine-name:
  version: VERSION
  js:
    misc/machine-name.js: {}
  dependencies:
    - core/jquery
    - core/jquery.once
    - core/drupal
    - core/drupalSettings

drupal.progress:
  version: VERSION
  js:
    misc/progress.js: {}
  dependencies:
    - core/drupal
    - core/jquery
    - core/drupalSettings

drupal.states:
  version: VERSION
  js:
    misc/states.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once

drupal.tabbingmanager:
  version: VERSION
  js:
    misc/tabbingmanager.js: {}
  dependencies:
    - core/jquery
    # Supplies the ':tabbable' pseudo selector.
    - core/jquery.ui
    - core/drupal

drupal.tabledrag:
  version: VERSION
  js:
248
    misc/tabledrag.js: { weight: -1 }
249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283
  dependencies:
    - core/jquery
    - core/modernizr
    - core/drupal
    - core/drupalSettings
    - core/jquery.once
    - core/jquery.cookie

drupal.tableheader:
  version: VERSION
  js:
    misc/tableheader.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/drupalSettings
    - core/jquery.once
    - core/drupal.displace

drupal.tableresponsive:
  version: VERSION
  js:
    misc/tableresponsive.js: {}
  dependencies:
    - core/jquery
    - core/drupal
    - core/jquery.once

drupal.tableselect:
  version: VERSION
  js:
    misc/tableselect.js: {}
  dependencies:
    - core/drupal
    - core/jquery
284
    - core/jquery.once
285 286 287 288 289 290 291

drupal.timezone:
  version: VERSION
  js:
    misc/timezone.js: {}
  dependencies:
    - core/jquery
292
    - core/jquery.once
293 294 295 296 297 298
    - core/drupal

drupal.vertical-tabs:
  version: VERSION
  js:
    # Load before core/drupal.collapse.
299
    misc/vertical-tabs.js: { weight: -1 }
300 301 302 303 304
  css:
    component:
      misc/vertical-tabs.css: {}
  dependencies:
    - core/jquery
305
    - core/jquery.once
306 307 308 309 310
    - core/drupal
    - core/drupalSettings
    - core/drupal.form

html5shiv:
311 312
  # Block the page from being loaded until html5shiv is initialized.
  header: true
313
  remote: https://github.com/aFarkas/html5shiv
314
  version: 3.7.2
315 316 317 318
  license:
    name: GNU-GPL-2.0-or-later
    url: http://www.gnu.org/licenses/gpl-2.0.html
    gpl-compatible: true
319
  js:
320
    assets/vendor/html5shiv/html5shiv.min.js: { every_page: true, weight: -22, browsers: { IE: 'lte IE 8', '!IE': false }, minified: true }
321 322 323

jquery:
  remote: https://github.com/jquery/jquery
324
  version: 2.1.3
325 326
  license:
    name: MIT
327
    url: https://github.com/jquery/jquery/blob/2.1.3/MIT-LICENSE.txt
328
    gpl-compatible: true
329
  js:
330
    assets/vendor/jquery/jquery.min.js: { minified: true, weight: -20 }
331 332 333

jquery.cookie:
  remote: https://github.com/carhartl/jquery-cookie
334
  version: v1.4.1
335 336
  license:
    name: MIT
337
    url: https://github.com/carhartl/jquery-cookie/blob/v1.4.1/MIT-LICENSE.txt
338
    gpl-compatible: true
339
  js:
340
    assets/vendor/jquery.cookie/jquery.cookie.min.js: { minified: true }
341 342 343 344 345 346 347
  dependencies:
    - core/jquery

jquery.farbtastic:
  remote: https://github.com/mattfarina/farbtastic
  # @todo Ping @robloach or @mattfarina to retroactively create this release.
  version: 1.2
348 349 350 351
  license:
    name: GNU-GPL-2.0-or-later
    url: https://github.com/mattfarina/farbtastic/blob/master/LICENSE.txt
    gpl-compatible: true
352
  js:
353
    assets/vendor/farbtastic/farbtastic.js: { minified: true }
354 355 356 357 358 359 360 361
  css:
    component:
      assets/vendor/farbtastic/farbtastic.css: {}
  dependencies:
    - core/jquery

jquery.form:
  remote: https://github.com/malsup/form
362
  version: 3.50
363 364 365 366
  license:
    name: GNU-GPL-2.0-or-later
    url: http://malsup.github.com/gpl-license-v2.txt
    gpl-compatible: true
367 368 369 370 371 372 373 374 375 376 377 378
  js:
    assets/vendor/jquery-form/jquery.form.js: {}
  dependencies:
    - core/jquery

jquery.intrinsic:
  version: VERSION
  js:
    misc/jquery.intrinsic.js: {}
  dependencies:
    - core/jquery

379 380
jquery.joyride:
  remote: https://github.com/zurb/joyride
381
  version: v2.1.0
382 383
  license:
    name: MIT
384
    url: https://github.com/zurb/joyride/blob/v2.1.0/README.markdown
385
    gpl-compatible: true
386
  js:
387
    assets/vendor/jquery-joyride/jquery.joyride-2.1.min.js: { minified: true }
388 389 390 391
  dependencies:
    - core/jquery
    - core/jquery.cookie

392 393
jquery.once:
  remote: https://github.com/RobLoach/jquery-once
394
  version: 2.0.0
395 396
  license:
    name: GNU-GPL-2.0-or-later
397
    url: https://github.com/RobLoach/jquery-once/blob/master/LICENSE.md
398
    gpl-compatible: true
399
  js:
400
    assets/vendor/jquery-once/jquery.once.js: { weight: -19 }
401 402 403 404 405
  dependencies:
    - core/jquery

jquery.ui:
  remote: https://github.com/jquery/jquery-ui
406
  version: &jquery_ui_version 1.11.2
407 408
  license: &jquery_ui_license
    name: MIT
409
    url: https://github.com/jquery/jquery-ui/blob/1.11.2/MIT-LICENSE.txt
410
    gpl-compatible: true
411
  js:
412
    assets/vendor/jquery.ui/ui/core-min.js: { weight: -11, minified: true }
413 414
  css:
    component:
415
      assets/vendor/jquery.ui/themes/base/core.css: {}
416
    theme:
417
      assets/vendor/jquery.ui/themes/base/theme.css: {}
418 419 420 421
  dependencies:
    - core/jquery

jquery.ui.accordion:
422 423
  version: *jquery_ui_version
  license: *jquery_ui_license
424
  js:
425
    assets/vendor/jquery.ui/ui/accordion-min.js: { minified: true }
426 427
  css:
    component:
428
      assets/vendor/jquery.ui/themes/base/accordion.css: {}
429 430 431 432 433
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget

jquery.ui.autocomplete:
434 435
  version: *jquery_ui_version
  license: *jquery_ui_license
436
  js:
437
    assets/vendor/jquery.ui/ui/autocomplete-min.js: { minified: true }
438 439
  css:
    component:
440
      assets/vendor/jquery.ui/themes/base/autocomplete.css: {}
441 442 443 444 445 446 447
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.position
    - core/jquery.ui.menu

jquery.ui.button:
448 449
  version: *jquery_ui_version
  license: *jquery_ui_license
450
  js:
451
    assets/vendor/jquery.ui/ui/button-min.js: { minified: true }
452 453
  css:
    component:
454
      assets/vendor/jquery.ui/themes/base/button.css: {}
455 456 457 458 459
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget

jquery.ui.datepicker:
460 461
  version: *jquery_ui_version
  license: *jquery_ui_license
462
  js:
463
    assets/vendor/jquery.ui/ui/datepicker-min.js: { minified: true }
464 465
  css:
    component:
466
      assets/vendor/jquery.ui/themes/base/datepicker.css: {}
467 468 469 470
  dependencies:
    - core/jquery.ui

jquery.ui.dialog:
471 472
  version: *jquery_ui_version
  license: *jquery_ui_license
473
  js:
474
    assets/vendor/jquery.ui/ui/dialog-min.js: { minified: true }
475 476
  css:
    component:
477
      assets/vendor/jquery.ui/themes/base/dialog.css: {}
478 479 480 481 482 483 484 485 486 487
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.button
    - core/jquery.ui.draggable
    - core/jquery.ui.mouse
    - core/jquery.ui.position
    - core/jquery.ui.resizable

jquery.ui.draggable:
488 489
  version: *jquery_ui_version
  license: *jquery_ui_license
490
  js:
491
    assets/vendor/jquery.ui/ui/draggable-min.js: { minified: true }
492 493 494 495 496 497
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.mouse
    - core/jquery.ui.widget

jquery.ui.droppable:
498 499
  version: *jquery_ui_version
  license: *jquery_ui_license
500
  js:
501
    assets/vendor/jquery.ui/ui/droppable-min.js: { minified: true }
502 503 504 505 506 507 508
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.mouse
    - core/jquery.ui.draggable

jquery.ui.effects.core:
509 510
  version: *jquery_ui_version
  license: *jquery_ui_license
511
  js:
512
    assets/vendor/jquery.ui/ui/effect-min.js: { weight: -9, minified: true }
513 514

jquery.ui.effects.blind:
515 516
  version: *jquery_ui_version
  license: *jquery_ui_license
517
  js:
518
    assets/vendor/jquery.ui/ui/effect-blind-min.js: { minified: true }
519 520 521 522
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.bounce:
523 524
  version: *jquery_ui_version
  license: *jquery_ui_license
525
  js:
526
    assets/vendor/jquery.ui/ui/effect-bounce-min.js: { minified: true }
527 528 529 530
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.clip:
531 532
  version: *jquery_ui_version
  license: *jquery_ui_license
533
  js:
534
    assets/vendor/jquery.ui/ui/effect-clip-min.js: { minified: true }
535 536 537 538
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.drop:
539 540
  version: *jquery_ui_version
  license: *jquery_ui_license
541
  js:
542
    assets/vendor/jquery.ui/ui/effect-drop-min.js: { minified: true }
543 544 545 546
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.explode:
547 548
  version: *jquery_ui_version
  license: *jquery_ui_license
549
  js:
550
    assets/vendor/jquery.ui/ui/effect-explode-min.js: { minified: true }
551 552 553 554
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.fade:
555 556
  version: *jquery_ui_version
  license: *jquery_ui_license
557
  js:
558
    assets/vendor/jquery.ui/ui/effect-fade-min.js: { minified: true }
559 560 561 562
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.fold:
563 564
  version: *jquery_ui_version
  license: *jquery_ui_license
565
  js:
566
    assets/vendor/jquery.ui/ui/effect-fold-min.js: { minified: true }
567 568 569 570
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.highlight:
571 572
  version: *jquery_ui_version
  license: *jquery_ui_license
573
  js:
574 575 576 577 578 579 580 581 582
    assets/vendor/jquery.ui/ui/effect-highlight-min.js: { minified: true }
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.puff:
  version: *jquery_ui_version
  license: *jquery_ui_license
  js:
    assets/vendor/jquery.ui/ui/effect-puff-min.js: { minified: true }
583 584 585 586
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.pulsate:
587 588
  version: *jquery_ui_version
  license: *jquery_ui_license
589
  js:
590
    assets/vendor/jquery.ui/ui/effect-pulsate-min.js: { minified: true }
591 592 593 594
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.scale:
595 596
  version: *jquery_ui_version
  license: *jquery_ui_license
597
  js:
598
    assets/vendor/jquery.ui/ui/effect-scale-min.js: { minified: true }
599 600 601 602
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.shake:
603 604
  version: *jquery_ui_version
  license: *jquery_ui_license
605
  js:
606 607 608 609 610 611 612 613 614
    assets/vendor/jquery.ui/ui/effect-shake-min.js: { minified: true }
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.size:
  version: *jquery_ui_version
  license: *jquery_ui_license
  js:
    assets/vendor/jquery.ui/ui/effect-size-min.js: { minified: true }
615 616 617 618
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.slide:
619 620
  version: *jquery_ui_version
  license: *jquery_ui_license
621
  js:
622
    assets/vendor/jquery.ui/ui/effect-slide-min.js: { minified: true }
623 624 625 626
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.effects.transfer:
627 628
  version: *jquery_ui_version
  license: *jquery_ui_license
629
  js:
630
    assets/vendor/jquery.ui/ui/effect-transfer-min.js: { minified: true }
631 632 633 634
  dependencies:
    - core/jquery.ui.effects.core

jquery.ui.menu:
635 636
  version: *jquery_ui_version
  license: *jquery_ui_license
637
  js:
638
    assets/vendor/jquery.ui/ui/menu-min.js: { minified: true }
639 640
  css:
    component:
641
      assets/vendor/jquery.ui/themes/base/menu.css: {}
642 643 644 645 646
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget

jquery.ui.mouse:
647 648
  version: *jquery_ui_version
  license: *jquery_ui_license
649
  js:
650
    assets/vendor/jquery.ui/ui/mouse-min.js: { minified: true }
651 652 653 654
  dependencies:
    - core/jquery.ui.widget

jquery.ui.position:
655 656
  version: *jquery_ui_version
  license: *jquery_ui_license
657
  js:
658
    assets/vendor/jquery.ui/ui/position-min.js: { minified: true }
659 660

jquery.ui.progressbar:
661 662
  version: *jquery_ui_version
  license: *jquery_ui_license
663
  js:
664
    assets/vendor/jquery.ui/ui/progressbar-min.js: { minified: true }
665 666
  css:
    component:
667
      assets/vendor/jquery.ui/themes/base/progressbar.css: {}
668 669 670 671 672
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget

jquery.ui.resizable:
673 674
  version: *jquery_ui_version
  license: *jquery_ui_license
675
  js:
676
    assets/vendor/jquery.ui/ui/resizable-min.js: { minified: true }
677 678
  css:
    component:
679
      assets/vendor/jquery.ui/themes/base/resizable.css: {}
680 681 682 683 684 685
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.mouse

jquery.ui.selectable:
686 687
  version: *jquery_ui_version
  license: *jquery_ui_license
688
  js:
689
    assets/vendor/jquery.ui/ui/selectable-min.js: { minified: true }
690 691
  css:
    component:
692
      assets/vendor/jquery.ui/themes/base/selectable.css: {}
693 694 695 696 697
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.mouse
    - core/jquery.ui.widget

698 699 700 701 702 703 704 705 706 707 708 709 710 711
jquery.ui.selectmenu:
  version: *jquery_ui_version
  license: *jquery_ui_license
  js:
    assets/vendor/jquery.ui/ui/selectmenu-min.js: { minified: true }
  css:
    component:
      assets/vendor/jquery.ui/themes/base/selectmenu.css: {}
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.menu
    - core/jquery.ui.position
    - core/jquery.ui.widget

712
jquery.ui.slider:
713 714
  version: *jquery_ui_version
  license: *jquery_ui_license
715
  js:
716
    assets/vendor/jquery.ui/ui/slider-min.js: { minified: true }
717 718
  css:
    component:
719
      assets/vendor/jquery.ui/themes/base/slider.css: {}
720 721 722 723 724 725
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.mouse
    - core/jquery.ui.widget

jquery.ui.sortable:
726 727
  version: *jquery_ui_version
  license: *jquery_ui_license
728
  js:
729
    assets/vendor/jquery.ui/ui/sortable-min.js: { minified: true }
730 731 732 733 734 735
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.mouse
    - core/jquery.ui.widget

jquery.ui.spinner:
736 737
  version: *jquery_ui_version
  license: *jquery_ui_license
738
  js:
739
    assets/vendor/jquery.ui/ui/spinner-min.js: { minified: true }
740 741
  css:
    component:
742
      assets/vendor/jquery.ui/themes/base/spinner.css: {}
743 744 745 746 747 748
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.button

jquery.ui.tabs:
749 750
  version: *jquery_ui_version
  license: *jquery_ui_license
751
  js:
752
    assets/vendor/jquery.ui/ui/tabs-min.js: { minified: true }
753 754
  css:
    component:
755
      assets/vendor/jquery.ui/themes/base/tabs.css: {}
756 757 758 759 760
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget

jquery.ui.tooltip:
761 762
  version: *jquery_ui_version
  license: *jquery_ui_license
763
  js:
764
    assets/vendor/jquery.ui/ui/tooltip-min.js: { minified: true }
765 766
  css:
    component:
767
      assets/vendor/jquery.ui/themes/base/tooltip.css: {}
768 769 770 771 772 773 774
  dependencies:
    - core/jquery.ui
    - core/jquery.ui.widget
    - core/jquery.ui.position

jquery.ui.touch-punch:
  remote: https://github.com/furf/jquery-ui-touch-punch
775
  version: 0.2.3
776 777 778 779
  license:
    name: GNU-GPL-2.0-or-later
    url: https://github.com/furf/jquery-ui-touch-punch
    gpl-compatible: true
780 781 782 783 784 785
  js:
    assets/vendor/jquery-ui-touch-punch/jquery.ui.touch-punch.js: {}
  dependencies:
    - core/jquery.ui

jquery.ui.widget:
786 787
  version: *jquery_ui_version
  license: *jquery_ui_license
788
  js:
789
    assets/vendor/jquery.ui/ui/widget-min.js: { weight: -10, minified: true }
790 791 792 793 794
  dependencies:
    - core/jquery.ui

matchmedia:
  remote: https://github.com/paulirish/matchMedia.js
795 796
  version: &matchmedia_version 0.2.0
  license: &matchmedia_license
797
    name: MIT
798
    url: https://github.com/paulirish/matchMedia.js/blob/0.2.0/LICENSE.txt
799
    gpl-compatible: true
800
  js:
801 802 803 804 805 806 807
    assets/vendor/matchMedia/matchMedia.min.js: { minified: true }

matchmedia.addListener:
  version: *matchmedia_version
  license: *matchmedia_license
  js:
    assets/vendor/matchMedia/matchMedia.addListener.min.js: { minified: true }
808
  dependencies:
809
    - core/matchmedia
810 811

modernizr:
812 813
  # Block the page from being loaded until Modernizr is initialized.
  header: true
814
  remote: https://github.com/Modernizr/Modernizr
815 816 817 818
  license:
    name: MIT
    url: http://modernizr.com/license/
    gpl-compatible: true
819
  version: v2.8.3
820
  js:
821
    assets/vendor/modernizr/modernizr.min.js: { every_page: true, preprocess: 0, weight: -21, minified: true }
822 823 824

normalize:
  remote: https://github.com/necolas/normalize.css
825
  version: 3.0.2
826 827 828 829
  license:
    name: MIT
    url: https://github.com/necolas/normalize.css/blob/master/LICENSE.md
    gpl-compatible: true
830 831
  css:
    base:
832
      assets/vendor/normalize-css/normalize.css: { every_page: true, weight: -20 }
833

834 835
picturefill:
  remote: https://github.com/scottjehl/picturefill
836
  version: 2.2.1
837 838
  license:
    name: MIT
839
    url: https://github.com/scottjehl/picturefill/blob/2.2/LICENSE
840
    gpl-compatible: true
841
  js:
842
    assets/vendor/picturefill/picturefill.min.js: { weight: -10, minified: true }
843 844 845
  dependencies:
    - core/matchmedia

846 847
underscore:
  remote: https://github.com/jashkenas/underscore
848
  version: 1.7.0
849 850
  license:
    name: MIT
851
    url: https://github.com/jashkenas/underscore/blob/1.7.0/LICENSE
852
    gpl-compatible: true
853
  js:
854
    assets/vendor/underscore/underscore-min.js: { weight: -20, minified: true }